1.1

1.1

get /v1/replications

Description

파일스토리지 복제 목록을 조회한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
queryvolume_id
required
볼륨 아이디
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone

Responses

HTTP CodeDescriptionSchema
200OKReplicationListResponse
401UnauthorizedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/replications?volume_id={volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.1"

Example HTTP response

Response 200

{
    "count": 1,
    "replications": [
        {
            "replication_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
            "replication_frequency": "5min",
            "source_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
            "source_volume_region": "kr-west1",
            "source_volume_access_level": "ro",
            "replication_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
            "replication_volume_region": "kr-west1",
            "replication_volume_access_level": "ro",
            "replication_type": "replication"
        }
    ]
}